<template>
  <div class="row overlay bottom justify-content-center w-100 no-gutters">
    <div class="col-auto px-4">
      <div v-if="fiveSecPosterShow">
        <h1 :class="overlayBackground && overlayHighlightClass" :style="overlayTextStyle">
          <span class="d-flex justify-content-center" v-html="fiveSecPosterText"></span></h1>
      </div>
    </div>
  </div>
</template>

<script>

module.exports = {
  props: ['fiveSecPosterShow', 'fiveSecPosterText', 'data', 'overlayBackground'],
  computed: {
    overlayHighlightClass() {
      return (this.data['video-textoverlay-highlight-type'].toLowerCase() === 'light') ?
        'text-overlay-highlight-light' : 'text-overlay-highlight-dark'
    },
    overlayTextStyle(){
      let overlayStyle = { ...this.data.headline2StyleObj }
      overlayStyle.color = this.data['headline4-color'] + '!important'
      return overlayStyle
    }
  }
}
</script>
